<script setup lang="ts">
import { useFoodStore } from '@/stores/food';
import type Basket from '@/types/Basket';
import type BasketAdd from '@/types/BasketAdd';
import { onMounted } from 'vue';

const foodStore = useFoodStore();
onMounted(async () => {
  await foodStore.getBaskets(foodStore.order);
});

const confirmOr = async () => {
  for (const item of foodStore.baskets) {
    await foodStore.confirmOrder(item.order, item.id!)
  }
};

function deleteOrder(item :Basket){
    foodStore.Dbaset = item;
    foodStore.deleteDialog = true;

  }
</script>

<template>
  <v-container>
    <v-row>
      <v-col cols="12">
        <v-table id="Menu">
          <thead>
            <tr>
              <th>รายการ</th>
              <th class="text-center justify-center align-center">ราคา</th>
              <th></th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="item of foodStore.baskets" :key="item.id">
              <td>[{{ item.amount }}]{{ item.menu!.name }}</td>
              <td class="text-center justify-center align-center">
                {{ item.menu!.price * item.amount }}฿
              </td>
              <td width="150px" class="text-center">
                <v-btn icon variant="flat"
                  ><v-icon
                    icon="mdi-pencil"
                    color="secondary"
                    @click="foodStore.basketEditItem(item.order,item.id!)"
                  ></v-icon
                ></v-btn>
                <v-btn icon variant="flat" 
                  ><v-icon icon="mdi-delete" color="error" @click="deleteOrder(item)"></v-icon
                ></v-btn>
              </td>
            </tr>
          </tbody>
        </v-table>
      </v-col>
    </v-row>
    <div class="text-center" style="padding-top: 10px">
      <v-btn size="x-large" color="success" @click="confirmOr()"
        ><label class="confirm">ยืนยันออเดอร์</label></v-btn
      >
    </div>
  </v-container>
  <div style="padding: 15px"></div>
</template>
<style scoped>
@import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
tr {
  font-family: "Noto Sans Thai", sans-serif;
  font-weight: bold;
}

th {
  font-size: 18px !important;
}

td {
  font-size: 15px !important;
}

#Menu {
  border-collapse: collapse;
  width: 100%;
}

#Menu th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #1c6758;
  color: white;
  text-shadow: 2px 2px black;
}

#Menu tr {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: #ffefcf;
  color: black;
}

label {
  font-family: "Noto Sans Thai", sans-serif;
  font-size: 15px;
  font-weight: bold;
  color: black;
}
</style>
